ServiceUnavailableException (Java SE 14 & JDK 14)
Description: declaration: module: java.naming, package: javax.naming, class: ServiceUnavailableException
Keywords: javax.naming.ServiceUnavailableException class

Module java.naming
Package javax.naming

# Class ServiceUnavailableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.ServiceUnavailableException

All Implemented Interfaces:
  `Serializable`

    public class ServiceUnavailableException
    extends NamingException

This exception is thrown when attempting to communicate with a directory or naming service and that service is not available. It might be unavailable for different reasons. For example, the server might be too busy to service the request, or the server might not be registered to service any requests, etc.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ServiceUnavailableException()` | Constructs a new instance of ServiceUnavailableException.
  `ServiceUnavailableException​(String explanation)` | Constructs a new instance of ServiceUnavailableException using an explanation.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceUnavailableException

    public ServiceUnavailableException​(String explanation)
    Constructs a new instance of ServiceUnavailableException using an explanation. All other fields default to null.
    Parameters:
      `explanation` - Possibly null additional detail about this exception.
    See Also:
      `Throwable.getMessage()`

  - ### ServiceUnavailableException

    public ServiceUnavailableException()
    Constructs a new instance of ServiceUnavailableException. All fields default to null.